Loading...
Searching...
No Matches
volk_32f_invsqrt_32f.h File Reference
`#include <math.h>`
`#include <volk/volk_common.h>`
`#include <volk/volk_sse_intrinsics.h>`
`#include <xmmintrin.h>`
`#include <immintrin.h>`
`#include <volk/volk_avx_intrinsics.h>`
`#include <arm_neon.h>`
`#include <volk/volk_neon_intrinsics.h>`

Go to the source code of this file.

## Functions

static void | volk_32f_invsqrt_32f_generic (float *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_invsqrt_32f_recip_sqrt (float *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_invsqrt_32f_Q_rsqrt (float *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_invsqrt_32f_a_sse (float *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_invsqrt_32f_a_avx (float *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_invsqrt_32f_u_sse (float *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_invsqrt_32f_u_avx (float *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_invsqrt_32f_neon (float *cVector, const float *aVector, unsigned int num_points)

## Function Documentation

## volk_32f_invsqrt_32f_a_avx()

void volk_32f_invsqrt_32f_a_avx | ( | float * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_invsqrt_32f_a_sse()

void volk_32f_invsqrt_32f_a_sse | ( | float * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_invsqrt_32f_generic()

void volk_32f_invsqrt_32f_generic | ( | float * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_invsqrt_32f_neon()

void volk_32f_invsqrt_32f_neon | ( | float * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_invsqrt_32f_Q_rsqrt()

void volk_32f_invsqrt_32f_Q_rsqrt | ( | float * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_invsqrt_32f_recip_sqrt()

void volk_32f_invsqrt_32f_recip_sqrt | ( | float * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_invsqrt_32f_u_avx()

void volk_32f_invsqrt_32f_u_avx | ( | float * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_invsqrt_32f_u_sse()

void volk_32f_invsqrt_32f_u_sse | ( | float * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static